summaryrefslogtreecommitdiffstats
path: root/runtests.sh
diff options
context:
space:
mode:
authorZac Medico <zmedico@gentoo.org>2010-09-08 11:45:11 -0700
committerZac Medico <zmedico@gentoo.org>2010-09-08 11:45:11 -0700
commit0640655e237d729978c08a7cf1b2bded88a0fd2d (patch)
tree0c3b1ac2526794af36bcb37e2161e6bb2176978d /runtests.sh
parent523687478457fde13b02503711131e91970f4c9d (diff)
downloadportage-0640655e237d729978c08a7cf1b2bded88a0fd2d.tar.gz
portage-0640655e237d729978c08a7cf1b2bded88a0fd2d.tar.bz2
portage-0640655e237d729978c08a7cf1b2bded88a0fd2d.zip
Omit PYTHONPATH setting in runtests.sh since this should be handled
internally by pym/portage/tests/runTests.
Diffstat (limited to 'runtests.sh')
-rwxr-xr-xruntests.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/runtests.sh b/runtests.sh
index 2ba05e3e2..c228dce56 100755
--- a/runtests.sh
+++ b/runtests.sh
@@ -19,7 +19,7 @@ exit_status="0"
for version in ${PYTHON_VERSIONS}; do
if [[ -x /usr/bin/python${version} ]]; then
echo -e "${GOOD}Testing with Python ${version}...${NORMAL}"
- if ! PYTHONPATH="pym${PYTHONPATH:+:}${PYTHONPATH}" /usr/bin/python${version} pym/portage/tests/runTests; then
+ if ! /usr/bin/python${version} pym/portage/tests/runTests; then
echo -e "${BAD}Testing with Python ${version} failed${NORMAL}"
exit_status="1"
fi